## python-enable 4.3.0

=== debian/changelog ===
python-enable (4.3.0-2) unstable; urgency=medium

  * Team upload.
  * New patch pillow.diff to fix requirement in egg-info: PIL egg name
    is now Pillow. (Closes: #761140)

 -- Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>  Sun, 07 Dec 2014 23:53:34 +0100

python-enable (4.3.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update for wxPython 3.0.  (Closes: #758952)

 -- Olly Betts <olly@survex.com>  Thu, 04 Sep 2014 02:17:41 +0000

python-enable (4.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove #! lines and set permissions in /usr/lib/python*, not
    /usr/share/pyshared (which no longer exists)
    Closes: #750278

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 06 Jul 2014 20:38:46 +0100

python-enable (4.3.0-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Varun Hiremath ]
  * New upstream release
  * Remove embedded fonttools from upstream sources (Closes: #715145)
  * Add fonttools to Depends
  * Bump Standards-Version to 3.9.5

 -- Varun Hiremath <varun@debian.org>  Sat, 15 Mar 2014 23:02:32 -0400

=== debian/control ===
Source: python-enable
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Build-Depends: cdbs (>= 0.4.90~), debhelper(>= 7), python-all-dev (>= 2.6.6-3~),
 python-setuptools, python-setupdocs, python-numpy, python-pyrex, swig,
 libfreetype6-dev, libx11-dev, libglu1-mesa-dev, cython
Standards-Version: 3.9.5
X-Python-Version: >=2.6
Homepage: http://pypi.python.org/pypi/enable
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-enable/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-enable/trunk/

Package: python-enable
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, fonttools,
 python-numpy, python-traitsui, python-wxgtk3.0, python-pkg-resources
Description: Drawing and interaction packages
 The Enable project provides two related multi-platform packages for
 drawing GUI objects.
 .
   * Enable: An object drawing library that supports containment and
     event notification.
   * Kiva: A multi-platform DisplayPDF vector drawing engine.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_COMPRESS_EXCLUDE		:= .py
DEB_PYTHON_INSTALL_ARGS_ALL 	+= --single-version-externally-managed
DEB_INSTALL_CHANGELOGS_ALL      += docs/CHANGES.txt
PYSHARED                         =$(DEB_DESTDIR)/usr/share/pyshared
PYLIBS                           =$(DEB_DESTDIR)/usr/lib/python*
EXAMPLES                         =$(DEB_DESTDIR)/usr/share/doc/python-enable

install/python-enable::
	find $(DEB_DESTDIR) -name 'LICENSE.txt' -delete
	find $(DEB_DESTDIR) -name 'image_LICENSE.txt' -delete
	find $(DEB_DESTDIR) -name 'setup.py' -delete
	dh_numpy

binary-predeb/python-enable::
	find $(PYLIBS) -type f | xargs sed -i '/^#!/d'
	find $(PYLIBS) -type f | xargs chmod 644
	find $(EXAMPLES) -type f | xargs sed -i '/^#!/d'
	find $(EXAMPLES) -type f | xargs chmod 644
	find $(EXAMPLES) -name '.gitignore' -delete
	find $(EXAMPLES) -name 'CHANGES.txt.gz' -delete

get-orig-source:
	-uscan --force-download --rename

## python-enable 4.5.1

=== debian/changelog ===
python-enable (4.5.1-4) unstable; urgency=medium

  * Change dependency from fonttools to python-fonttools (Closes: #878671)
  * Bump Standards-Version to 4.1.2
  * Bump debian/compat to 9
  * Remove debian/pycompat file

 -- Varun Hiremath <varun@debian.org>  Wed, 10 Jan 2018 12:39:19 -0500

python-enable (4.5.1-3) unstable; urgency=medium

  * Team upload.

  [ Mattia Rizzolo ]
  * Use the standard name d/README.source instead of d/README.Debian-source
  * wrap-and-sort.
  * Import patch from upstream to fix FTBFS with SWIG 3.  Closes: #804584

  [ Ondřej Nový ]
  * Use HTTPS in Homepage.
  * Use HTTPS in VCS-{Git,Browser}.

  [ SVN-Git Migration ]
  * Change VCS from SVN to Git.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 10 Mar 2017 21:27:34 +0100

python-enable (4.5.1-2) unstable; urgency=medium

  [ Philip Chimento ]
  * Add patch to build package without optimization (Closes: #797483)

 -- Varun Hiremath <varun@debian.org>  Sun, 27 Sep 2015 00:33:58 -0400

python-enable (4.5.1-1) unstable; urgency=medium

  * New upstream release
  * Acknowledge previous NMUs, many thanks!
  * Bump Standards-Version to 3.9.6
  * Fix the watch file
  * Update all the patch files

 -- Varun Hiremath <varun@debian.org>  Sun, 16 Aug 2015 22:24:29 -0400

python-enable (4.3.0-2.1) unstable; urgency=medium

  * Non maintainer upload.
  * Fix GCC version detection. Closes: #778076.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Jul 2015 12:43:18 +0200

=== debian/control ===
Source: python-enable
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Build-Depends:
 cdbs (>= 0.4.90~),
 cython,
 debhelper(>= 7),
 libfreetype6-dev,
 libglu1-mesa-dev,
 libx11-dev,
 python-all-dev (>= 2.6.6-3~),
 python-numpy,
 python-pyrex,
 python-setupdocs,
 python-setuptools,
 swig,
Standards-Version: 4.1.2
X-Python-Version: >=2.6
Homepage: https://pypi.python.org/pypi/enable
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-enable.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-enable.git

Package: python-enable
Architecture: any
Depends:
 python-fonttools,
 python-numpy,
 python-pkg-resources,
 python-traitsui,
 python-wxgtk3.0,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Drawing and interaction packages
 The Enable project provides two related multi-platform packages for
 drawing GUI objects.
 .
   * Enable: An object drawing library that supports containment and
     event notification.
   * Kiva: A multi-platform DisplayPDF vector drawing engine.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 
 DEB_COMPRESS_EXCLUDE		:= .py
 DEB_PYTHON_INSTALL_ARGS_ALL 	+= --single-version-externally-managed
-DEB_INSTALL_CHANGELOGS_ALL      += docs/CHANGES.txt
 PYSHARED                         =$(DEB_DESTDIR)/usr/share/pyshared
 PYLIBS                           =$(DEB_DESTDIR)/usr/lib/python*
 EXAMPLES                         =$(DEB_DESTDIR)/usr/share/doc/python-enable
@@ -22,7 +21,6 @@
 	find $(EXAMPLES) -type f | xargs sed -i '/^#!/d'
 	find $(EXAMPLES) -type f | xargs chmod 644
 	find $(EXAMPLES) -name '.gitignore' -delete
-	find $(EXAMPLES) -name 'CHANGES.txt.gz' -delete
 
 get-orig-source:
 	-uscan --force-download --rename

=== debian/watch ===
version=3
opts="uversionmangle=s/([ab])/~$1/,dversionmangle=s/\+.*//" \
http://pypi.debian.net/enable/enable-(.*).tar.gz \
debian debian/orig-tar.sh

## python-enable 4.8.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/enable.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/enable.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-enable (4.8.1-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:22:58 +0100

python-enable (4.8.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Varun Hiremath ]
  * New upstream release
  * Switch to Python 3 (Closes: #937727)
  * Add python3-enable package
  * debian/rules: switch to dh-* and pybuild
  * d/patches:
    - Drop gcc5, fonttools, pillow, 0007-fix-FTBFS-with-SWIG-3 patches
    - Add cython_speedups patch to fix build with Python 3.8
    - Add disable_tests patch to disable a test requiring internet access
  * Add debian/source/options to ignore changes to _version.py files
  * Use debhelper-compat instead of debian/compat
  * Delete d/clean, d/pyversion, d/pydist-overrides

  [ Scott Talbert ]
  * Update Build-Depends and Depends (remove last Py2 deps; add Py3)
  * Fix spurious executable permissions on file
  * Perform major update in d/copyright to DEP5 format

 -- Varun Hiremath <varun@debian.org>  Thu, 23 Jan 2020 16:04:30 -0800

=== debian/control ===
Source: python-enable
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Build-Depends: debhelper-compat (= 12),
	       dh-python,
 	       libfreetype6-dev,
 	       libglu1-mesa-dev,
 	       libx11-dev,
	       python3-nose,
	       python3-pil,
	       python3-setuptools,
	       python3-six,
	       python3-traits,
	       python3-traitsui,
 	       python3-all-dev,
 	       python3-numpy,
	       python3-fonttools,
	       python3-hypothesis,
	       python3-pyface,
	       python3-apptools,
	       python3-pyparsing,
	       python3-kiwisolver,
	       python3-cairo,
	       python3-pypdf2,
	       swig,
	       xvfb,
	       xauth
Standards-Version: 4.4.1
Homepage: https://pypi.python.org/pypi/enable
Vcs-Git: https://salsa.debian.org/python-team/modules/python-enable.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-enable

Package: python3-enable
Architecture: any
Depends: python3-fonttools,
         python3-numpy,
         python3-pil,
         python3-pkg-resources,
         python3-pyface,
         python3-six,
         python3-traits,
         python3-traitsui,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Drawing and interaction packages (Python 3)
 The Enable project provides two related multi-platform packages for
 drawing GUI objects.
 .
   * Enable: An object drawing library that supports containment and
     event notification.
   * Kiva: A multi-platform DisplayPDF vector drawing engine.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=enable

# Install egg-info directories
DEB_PYTHON_INSTALL_ARGS_ALL += --single-version-externally-managed
PY3VERS := $(shell py3versions -r)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_compress:
	dh_compress -X.py

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	xvfb-run -a dh_auto_test
endif

override_dh_install:
	dh_install
	for PYTHON in $(PY3VERS); do \
		rm debian/python3-enable/usr/lib/$$PYTHON/dist-packages/*.png; \
		rm debian/python3-enable/usr/lib/$$PYTHON/dist-packages/*.bmp; \
	done

override_dh_fixperms:
	dh_fixperms
	find debian/python3-enable/usr/lib/python3/ -name "*.py" -type f | xargs sed -i -e "1s#usr/bin/env\s\+python\s*\$$#usr/bin/env python3#"
	chmod -x debian/python3-enable/usr/lib/python3/dist-packages/kiva/agg/tests/gcmemtest.py

get-orig-source:
	-uscan --force-download --rename

=== debian/watch ===
version=3
opts="uversionmangle=s/([ab])/~$1/,dversionmangle=s/\+.*//" \
https://pypi.debian.net/enable/enable-(.*).tar.gz \
debian debian/orig-tar.sh
